Open CASCADE Technology: PColgp_VArrayNodeOfFieldOfHArray1OfVec Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PColgp_VArrayNodeOfFieldOfHArray1OfVec Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray1OfVec.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray1OfVec:
[legend]

## Public Member Functions
| PColgp_VArrayNodeOfFieldOfHArray1OfVec ()
| PColgp_VArrayNodeOfFieldOfHArray1OfVec (const gp_Vec &aValue)
void | SetValue (const gp_Vec &aValue)
Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray1OfVec (const Storage_stCONSTclCOM &a)
const gp_Vec & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfVecmyValue () const
Public Member Functions inherited from PStandard_ArrayNode
| PStandard_ArrayNode ()
| Creates an empty ArrayNode. More...
| PStandard_ArrayNode (const Storage_stCONSTclCOM &a)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PColgp_VArrayNodeOfFieldOfHArray1OfVec::PColgp_VArrayNodeOfFieldOfHArray1OfVec | ( |  | ) |

PColgp_VArrayNodeOfFieldOfHArray1OfVec::PColgp_VArrayNodeOfFieldOfHArray1OfVec | ( | const gp_Vec & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray1OfVec::PColgp_VArrayNodeOfFieldOfHArray1OfVec | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const gp_Vec& PColgp_VArrayNodeOfFieldOfHArray1OfVec::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfVecmyValue | ( |  | ) | const
| inline

void PColgp_VArrayNodeOfFieldOfHArray1OfVec::SetValue | ( | const gp_Vec & | aValue | ) |

Standard_Address PColgp_VArrayNodeOfFieldOfHArray1OfVec::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray1OfVec.hxx